import { Plugin } from 'esbuild';

interface CSSPluginOptions {
    /** by default name is generated without hash so that it is easier and reliable for library users to override some CSS */
    generateScopedName?: string | ((className: string, filename: string, css: string) => string);
    /** set skipAutoPrefixer to true to disable autoprefixer */
    skipAutoPrefixer?: boolean;
    /** global CSS class prefix. @defaultValue "" */
    globalPrefix?: string;
    /** If you want to keep .module.css files */
    keepModules?: boolean;
}
declare const cssPlugin: (options?: CSSPluginOptions) => Plugin;

export { cssPlugin as default };
